Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::map< KeyType, ValueType >::ParentLastIterator Class Reference

Parent Last Iterator. More...

`#include <irrMap.h>`

List of all members.

## Public Member Functions
bool | atEnd () const
Node * | getNode ()
Node & | operator* ()
void | operator++ (int)
Node * | operator-> ()
ParentLastIterator & | operator= (const ParentLastIterator &src)
| ParentLastIterator (Node *root)
| ParentLastIterator ()
void | reset ()

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ParentLastIterator

Parent Last Iterator.

Traverse the tree from bottom to top. Typical usage is when deleting all elements in the tree because you must delete the children before you delete their parent.

Definition at line 392 of file irrMap.h.

## Constructor & Destructor Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( |  | ) | `[inline]`

Definition at line 396 of file irrMap.h.

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( | Node * | root | ) | `[inline, explicit]`

Definition at line 398 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentLastIterator::reset().

## Member Function Documentation

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ParentLastIterator::atEnd | ( |  | ) | const`[inline]`

Definition at line 408 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by irr::core::map< KeyType, ValueType >::clear(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::operator*().

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode | ( |  | ) | `[inline]`

Definition at line 414 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::clear(), irr::core::map< KeyType, ValueType >::ParentLastIterator::operator*(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::operator->().

template<class KeyType, class ValueType>

Node& irr::core::map< KeyType, ValueType >::ParentLastIterator::operator* | ( |  | ) | `[inline]`

Definition at line 436 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, irr::core::map< KeyType, ValueType >::ParentLastIterator::atEnd(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 426 of file irrMap.h.

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentLastIterator::operator-> | ( |  | ) | `[inline]`

Definition at line 431 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode().

template<class KeyType, class ValueType>

ParentLastIterator& irr::core::map< KeyType, ValueType >::ParentLastIterator::operator= | ( | const ParentLastIterator & | src | ) | `[inline]`

Definition at line 419 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentLastIterator::Cur, and irr::core::map< KeyType, ValueType >::ParentLastIterator::Root.

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::reset | ( |  | ) | `[inline]`

Definition at line 403 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator().

The documentation for this class was generated from the following file:

- irrMap.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:09 2010 by Doxygen (1.5.6)